package com.neusoft.smart.pos.payorder.persistent.mapper;

import com.neusoft.smart.pos.payorder.persistent.domain.TradeSettlementInfo;
import com.neusoft.smart.pos.payorder.persistent.domain.TradeSettlementInfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TradeSettlementInfoMapper {
    int countByExample(TradeSettlementInfoExample example);

    int deleteByExample(TradeSettlementInfoExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TradeSettlementInfo record);

    int insertSelective(TradeSettlementInfo record);

    List<TradeSettlementInfo> selectByExample(TradeSettlementInfoExample example);

    TradeSettlementInfo selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TradeSettlementInfo record, @Param("example") TradeSettlementInfoExample example);

    int updateByExample(@Param("record") TradeSettlementInfo record, @Param("example") TradeSettlementInfoExample example);

    int updateByPrimaryKeySelective(TradeSettlementInfo record);

    int updateByPrimaryKey(TradeSettlementInfo record);
}